| iTool User's Guide: Visualization Properties |

## Legend Properties

These properties control legend annotations. For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to Property Controls.

Figure D-32: Visualization Browser with Legend Properties Displayed

Figure D-32: Visualization Browser with Legend Properties Displayed

Note This section discusses the properties of the legend container, which can contain multiple legend items of different types. The individual legend types are described in: Legend Contour Items Legend Contour Level Items Legend Plot Items Legend Surface Items

Table D-71: Legend Properties

Table D-71: Legend Properties
Property | Control Type: Values
--- | ---
Location | String List: Position of the legend within the iTool window. Select a location from the list. Choose from these values: Top Right User Specified Top Left Top Center Bottom Left Bottom Center Bottom Right Default = Top Right
Layout | String List: Arrange the legend elements in columns or rows. Select a layout from the list. Choose from these values: Columns Rows Default = Columns
Sample width | Number: Width in normalized units of the element sample that appears in the legend box. Range = `0.0` to `0.5`. Move the slider to change the value. Default = `0.15`
Horizontal spacing | Number: Space in normalized units between samples and text in the legend box. Range = `0.0` to `0.25`. Move the slider to change the value. Default =`0.02`
Vertical spacing | Number: Space in normalized units between lines in the legend box. Move the slider to change the value. Default =`0.02`
Text color | Color: Color to be used for the legend text. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Text font | String List: Font used for legend text. Select a font from the list. Choose from these values: Helvetica Courier Times Symbol Hershey Default = Helvetica
Text style | String List: Style used for legend text. Select a style from the list. Choose from these values: Normal Bold Italic Bold italic Default = Normal
Text font size | Number: Font size in points for the legend text. Edit the number to change the size. Default = 10
Color | Color: Color to use for the legend border. Legend object must be deselected for border attributes to be visible. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Linestyle | Line Style: Style of the legend border. Select a line style from the list. Default = (solid line)
Thickness | Line Thickness: Thickness of the legend border in points. Select a thickness from the list. Default = `1`
Fill background | Boolean: Fill legend background? Choose True or False. Default = True
Fill color | Color: Color to be used for the background. For background color to display, Fill Background property must be set to True. Click to choose from the default color palette, or specify RGB values. Default = `[255,255,255]` (white)
Transparency | Number: Transparency of the background fill from 0% to 100% Move the slider to change the value. Default = 0%

IDL Online Help (March 01, 2006)